Name:           kio_p7zip
Version:        0.3.1
Release:        7%{?dist}
Summary:        Kio-slave for 7Zip archives

Group:          User Interface/Desktops
License:        GPL2+
URL:            http://www.kde-apps.org/content/show.php/kio_p7zip?content=17829
Source0:        http://www.kde-apps.org/CONTENT/content-files/17829-kio_p7zip-0.3.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} <= 8
BuildRequires:  kdelibs-devel
%else
BuildRequires:  kdelibs3-devel
%endif
Requires:       p7zip


%description
This is a kioslave for KDE to handle 7zip files.


%prep
%setup -q


%build
%configure --disable-rpath \
   --enable-new-ldflags \
   --enable-final
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# x-7z.desktop is already provided by kdelibs, which this package depends on.  Not entirely sure why upstream even bothers to install it.
rm $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-7z.desktop

# Fix end-of-line-encoding
sed -i 's/\r//' ChangeLog
sed -i 's/\r//' README


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/kde3/*
%{_datadir}/services/kfile_7zip.desktop
%{_datadir}/services/p7zip.protocol


%changelog
* Fri Feb 22 2008 Kelly Miller <lightsolphoenix@gmail.com> 0.3.1-7
- Updated dependencies due to KDE name changes.

* Thu Aug 2 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.3.1-5
- Updated license to GPL2+ as per new Fedora requirements.

* Mon May 28 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.3.1-4
- Moving into Fedora 7 repository.

* Tue May 1 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.3.1-3
- Removed the line getting rid of unnecessary .la files, as they may be necessary after all.

* Mon Apr 30 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.3.1-2
- Added sed lines to fix rpmlint complaint about non-UNIX end-of-lines in ChangeLog and README.
- Added extra remove line to get rid of unnecessary .la files.
- Added in some whitespace and comments to make the spec file easier to follow.

* Mon Apr 30 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.3.1-1
- Adjusted version number to comply with Fedora package standards.

* Sun Apr 29 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.3.1-0.nixa.1
- Initial RPM release